Bug 1271234 - [epel7s390x] uwsgi SRPM does not build correctly on s390x
[epel7s390x] uwsgi SRPM does not build correctly on s390x
Status: NEW
Product: Fedora EPEL
Classification: Fedora
Component: uwsgi (Show other bugs)
epel7
s390x Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jorge A Gallegos
Fedora Extras Quality Assurance
:
Depends On:
Blocks: epel7s390x
  Show dependency treegraph
 
Reported: 2015-10-13 08:51 EDT by IBM Bug Proxy
Modified: 2017-03-20 02:30 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
uwsgi-build-log (24.73 KB, text/plain)
2015-10-13 08:51 EDT, IBM Bug Proxy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 131681 None None None Never

  None (edit)
Description IBM Bug Proxy 2015-10-13 08:51:49 EDT

    
Comment 1 IBM Bug Proxy 2015-10-13 08:51:50 EDT
The EPEL 7 SRPM for uwsgi-2.0.11.1-1 
https://dl.fedoraproject.org/pub/epel/7/SRPMS/u/uwsgi-2.0.11.1-1.el7.src.rpm
does not build correctly in Mock on s390x.

The build message is copied below, jvm cannot be found by the build:

############## end of uWSGI configuration #############
total build time: 25 seconds
*** uWSGI is ready, launch it with ./uwsgi ***
+ CFLAGS='-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches   -m64 -march=z196 -mtune=zEC12 -Wno-unused-but-set-variable'
+ python uwsgiconfig.py --plugin plugins/systemd_logger fedora
using profile: buildconf/fedora.ini
detected include path: ['/usr/lib/gcc/s390x-redhat-linux/4.8.3/include', '/usr/local/include', '/usr/include']
*** uWSGI building and linking plugin plugins/systemd_logger ***
[gcc -pthread] systemd_logger_plugin.so
build time: 0 seconds
*** systemd_logger plugin built and available in systemd_logger_plugin.so ***
+ CFLAGS='-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches   -m64 -march=z196 -mtune=zEC12 -Wno-unused-but-set-variable'
+ python uwsgiconfig.py --plugin plugins/jvm fedora
/usr/bin/ld: cannot find -ljvm
collect2: error: ld returned 1 exit status
using profile: buildconf/fedora.ini
detected include path: ['/usr/lib/gcc/s390x-redhat-linux/4.8.3/include', '/usr/local/include', '/usr/include']
*** uWSGI building and linking plugin plugins/jvm ***
[gcc -pthread] jvm_plugin.so
*** unable to build jvm plugin ***
ins/jvm ***
[gcc -pthread] jvm_plugin.so
*** unable to build jvm plugin ***
Comment 2 IBM Bug Proxy 2015-10-13 08:51:55 EDT
Created attachment 1082408 [details]
uwsgi-build-log
Comment 3 Jorge A Gallegos 2016-01-07 23:54:39 EST
Would love if you could provide me with the mock config you're using, I don't have an epel7 config here.
Comment 4 IBM Bug Proxy 2016-03-29 12:02:00 EDT
------- Comment From hannsj_uhl@de.ibm.com 2016-03-29 11:55 EDT-------
Comment from  Bryan Chan 2016-03-29 11:35:39 EDT

Sorry for the delay. Our mock config was a home-made config based on the EPEL 7 mock config for x86, however all the repos were replaced with internal ones that we had to populate manually by rebuilding all EPEL 7 SRPMs. This is because s390x is not yet a supported EPEL architecture.

I think the problem is reproducible with rpmbuild, outside the mock. So a mock config for s390x shouldn't be a prerequisite for fixing the issue.
Comment 5 IBM Bug Proxy 2017-03-20 02:30:29 EDT
------- Comment From urjawere@in.ibm.com 2017-03-20 02:28 EDT-------
Any Updates?

Note You need to log in before you can comment on or make changes to this bug.